/*  $Revision: 1.1.1.1 $
**
**  Unix system-dependant routines for editline library.
*/
#include "editline.h"

#if	defined(HAVE_TCGETATTR)
#include <termio.h>

void
rl_ttyset(Reset)
    int				Reset;
{
}

#else
#include <sgtty.h>

void
rl_ttyset(Reset)
    int				Reset;
{
}

#endif	/* defined(HAVE_TCGETATTR) */

void
rl_add_slash(path, p)
    char	*path;
    char	*p;
{
    struct stat	Sb;

    if (stat(path, &Sb) >= 0)
	(void)strcat(p, S_ISDIR(Sb.st_mode) ? SEPST : " ");
}
